| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Enumerations | Variables
taskbar.h File Reference

## Classes

class | wxTaskBarIconEvent
| The event class used by wxTaskBarIcon. More...
class | wxTaskBarIcon
| This class represents a taskbar icon. More...

## Enumerations

enum | wxTaskBarIconType { wxTBI_DOCK, wxTBI_CUSTOM_STATUSITEM, wxTBI_DEFAULT_TYPE }
| On OSX Cocoa the taskbar icon can be in the doc or in the status area. More...

## Variables

wxEventType | wxEVT_TASKBAR_MOVE
wxEventType | wxEVT_TASKBAR_LEFT_DOWN
wxEventType | wxEVT_TASKBAR_LEFT_UP
wxEventType | wxEVT_TASKBAR_RIGHT_DOWN
wxEventType | wxEVT_TASKBAR_RIGHT_UP
wxEventType | wxEVT_TASKBAR_LEFT_DCLICK
wxEventType | wxEVT_TASKBAR_RIGHT_DCLICK
wxEventType | wxEVT_TASKBAR_CLICK
wxEventType | wxEVT_TASKBAR_BALLOON_TIMEOUT
wxEventType | wxEVT_TASKBAR_BALLOON_CLICK

## Enumeration Type Documentation

enum wxTaskBarIconType

On OSX Cocoa the taskbar icon can be in the doc or in the status area.

This enumeration can be used to select which will be instantiated.

Enumerator:

  wxTBI_DOCK |
  wxTBI_CUSTOM_STATUSITEM |
  wxTBI_DEFAULT_TYPE |

## Variable Documentation

wxEventType wxEVT_TASKBAR_BALLOON_CLICK

wxEventType wxEVT_TASKBAR_BALLOON_TIMEOUT

wxEventType wxEVT_TASKBAR_CLICK

wxEventType wxEVT_TASKBAR_LEFT_DCLICK

wxEventType wxEVT_TASKBAR_LEFT_DOWN

wxEventType wxEVT_TASKBAR_LEFT_UP

wxEventType wxEVT_TASKBAR_MOVE

wxEventType wxEVT_TASKBAR_RIGHT_DCLICK

wxEventType wxEVT_TASKBAR_RIGHT_DOWN

wxEventType wxEVT_TASKBAR_RIGHT_UP